> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cryptoprocessing.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get exchange rates

> Get available currency pairs and exchange rates.

This endpoint returns reference exchange rates only. To get an actual exchange quote, use [/exchange/calculate](/api-reference/endpoints/exchange-calculate).

<Warning>
  The list of supported currencies in the sandbox environment is different from the list in the production environment.
</Warning>


## OpenAPI

````yaml POST /currencies/rates
openapi: 3.0.0
info:
  title: Merchant Backend V2
  version: '1.0'
  description: Documentation for merchant backend processing endpoints
servers:
  - url: https://app.cryptoprocessing.com/api/v2
security:
  - xProcessingKey: []
tags:
  - name: Status
  - name: Balance
  - name: Currencies
  - name: Deposit addresses
  - name: Withdrawal
  - name: Exchange
  - name: Invoices
  - name: Transactions
paths:
  /currencies/rates:
    post:
      tags:
        - Currencies
      summary: Get currency exchange rates
      description: Get available currency pairs and exchange rates.
      operationId: post-currencies-rates
      parameters:
        - $ref: '#/components/parameters/XProcessingSignatureHeader'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                currency_from:
                  type: string
                  description: >-
                    Currency to exchange from. For a list of all available
                    currencies, see [API currency
                    codes](/api-reference/currency-codes).
                currency_to:
                  type: string
                  description: >-
                    Currency to exchange to. For a list of all available
                    currencies, see [API currency
                    codes](/api-reference/currency-codes).
            examples:
              BTC to EUR:
                value:
                  currency_from: BTC
                  currency_to: EUR
              EUR to BTC:
                value:
                  currency_from: EUR
                  currency_to: BTC
              BTC to ETH:
                value:
                  currency_from: BTC
                  currency_to: ETH
              Convert from BTC:
                value:
                  currency_from: BTC
              Convert to ETH:
                value:
                  currency_to: ETH
              All exchange pairs:
                value: {}
      responses:
        '200':
          description: |
            OK. Returns the available exchange pairs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: List of matching currency pairs.
                    items:
                      type: object
                      properties:
                        currency_from:
                          type: object
                          properties:
                            currency:
                              type: string
                              description: Source currency code.
                              example: BTC
                            type:
                              type: string
                              description: Source currency type.
                              enum:
                                - crypto
                                - fiat
                              example: crypto
                            min_amount:
                              type: string
                              description: Minimum exchange amount for the source currency.
                              example: '0.00010000'
                            min_amount_deposit_with_exchange:
                              type: string
                              description: >-
                                Minimum deposit amount when using exchange flow.
                                Present when `currency_from.type` is `crypto`.
                              example: '0.00020000'
                        currency_to:
                          type: object
                          properties:
                            currency:
                              type: string
                              description: Target currency code.
                              example: ETH
                            type:
                              type: string
                              description: Target currency type.
                              enum:
                                - crypto
                                - fiat
                              example: crypto
                        rate_from:
                          type: string
                          description: >-
                            Always `1`, representing one unit of
                            `currency_from`.
                        rate_to:
                          type: string
                          description: >-
                            Amount of `currency_to` equivalent to one unit of
                            `currency_from`.
              examples:
                BTC to EUR:
                  value:
                    data:
                      - currency_from:
                          currency: BTC
                          type: crypto
                          min_amount: '0.00010000'
                          min_amount_deposit_with_exchange: '0.00020000'
                        currency_to:
                          currency: EUR
                          type: fiat
                        rate_from: '1'
                        rate_to: '58077.41037702'
                EUR to BTC:
                  value:
                    data:
                      - currency_from:
                          currency: EUR
                          type: fiat
                          min_amount: '1.00000000'
                        currency_to:
                          currency: BTC
                          type: crypto
                        rate_from: '1'
                        rate_to: '0.00001721'
                BTC to ETH:
                  value:
                    data:
                      - currency_from:
                          currency: BTC
                          type: crypto
                          min_amount: '0.00010000'
                          min_amount_deposit_with_exchange: '0.00020000'
                        currency_to:
                          currency: ETH
                          type: crypto
                        rate_from: '1'
                        rate_to: '32.55326770'
        '400':
          description: Bad Request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationOrMalformedJson'
              examples:
                Invalid currency_from:
                  value:
                    errors:
                      currency_from: The selected currency from is invalid.
                Invalid currency_to:
                  value:
                    errors:
                      currency_to: The selected currency to is invalid.
                Invalid currency_from and currency_to:
                  value:
                    errors:
                      currency_from: The selected currency from is invalid.
                      currency_to: The selected currency to is invalid.
                Malformed JSON:
                  summary: Invalid JSON body
                  value:
                    error: Bad content format
                    code: bad_content_format
        '403':
          $ref: '#/components/responses/HeaderAuthorization'
components:
  parameters:
    XProcessingSignatureHeader:
      name: X-Processing-Signature
      in: header
      required: true
      description: >-
        Hex-encoded HMAC-SHA512 signature of the request body, [generated using
        your secret key](/api-reference/authentication).
      schema:
        type: string
  schemas:
    ValidationOrMalformedJson:
      oneOf:
        - type: object
          title: ValidationError
          description: One or more request parameters failed validation.
          properties:
            errors:
              type: object
              additionalProperties:
                type: string
        - type: object
          title: MalformedJson
          description: >-
            The request body is not valid JSON or the Content-Type header is not
            set to `application/json`.
          properties:
            error:
              type: string
            code:
              type: string
  responses:
    HeaderAuthorization:
      description: |
        Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                description: Human-readable error message.
              code:
                type: string
                description: Error code.
            description: >-
              Invalid or missing headers. Refer to
              [Errors](/api-reference/errors#403) for troubleshooting steps.
          examples:
            Bad signature header:
              value:
                error: Bad signature header
                code: bad_header_signature
            No signature header:
              value:
                error: No signature header
                code: required_header_signature
            Bad key header:
              value:
                error: Bad key header
                code: bad_header_key
            No key header:
              value:
                error: No key header
                code: required_header_key
  securitySchemes:
    xProcessingKey:
      type: apiKey
      description: Your [API key](/integration-guide/get-your-api-key).
      in: header
      name: X-Processing-Key

````